Bug 121000 - [MAINTAINER] math/isabelle: update to 2007 version
Summary: [MAINTAINER] math/isabelle: update to 2007 version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 17:00 UTC by Timothy Bourke
Modified: 2008-04-04 13:20 UTC (History)
0 users

See Also:


Attachments
isabelle-2007.patch (221.95 KB, patch)
2008-02-23 17:00 UTC, Timothy Bourke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Bourke 2008-02-23 17:00:07 UTC
- Update to Isabelle 2007 version

This maintainer-update is accompanied by two others:
    lang/polyml
    math/proofgeneral
Ideally, the three would be committed together.

Added file(s):
- files/patch-lib-Tools-codegen
- files/patch-lib-Tools-keywords
- files/patch-lib-Tools-mkproject
- files/patch-lib-scripts-configure
- files/patch-lib-scripts-fileindent
- files/patch-lib-scripts-run_polyml_5.0
- files/patch-lib-scripts-run_polyml_5.1
- files/patch-lib-scripts-run_poplogml
- files/patch-lib-scripts-timestart.bash
- files/patch-lib-scripts-timestop.bash

Removed file(s):
- files/patch-lib-scripts-showtime
- files/polyml-5.0.ML
- files/proofgeneral-settings.el
- files/run-polyml-5.0

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2008-02-23 19:09:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Rong-En Fan freebsd_committer 2008-04-03 12:13:59 UTC
Responsible Changed
From-To: miwi->rafan

I will take care this PR for miwi.
Comment 3 dfilter service freebsd_committer 2008-04-04 13:15:31 UTC
rafan       2008-04-04 12:15:22 UTC

  FreeBSD ports repository

  Modified files:
    math/isabelle        Makefile distinfo pkg-plist 
    math/isabelle/files  patch-bin-isabelle_process patch-build 
                         patch-etc-settings 
                         patch-lib-Tools-browser 
                         patch-lib-Tools-display 
                         patch-lib-Tools-findlogics 
                         patch-lib-Tools-makeall 
                         patch-lib-Tools-mkdir 
                         patch-lib-Tools-usedir 
                         patch-lib-Tools-version 
                         patch-lib-scripts-getsettings 
                         patch-lib-scripts-polyml_platform 
                         patch-lib-scripts-polyml_version 
                         patch-lib-scripts-run_polyml 
                         patch-lib-scripts-run_smlnj 
                         patch-src-Pure-mk 
  Added files:
    math/isabelle/files  patch-lib-Tools-codegen 
                         patch-lib-Tools-keywords 
                         patch-lib-Tools-mkproject 
                         patch-lib-scripts-configure 
                         patch-lib-scripts-fileindent 
                         patch-lib-scripts-run_polyml_5.0 
                         patch-lib-scripts-run_polyml_5.1 
                         patch-lib-scripts-run_poplogml 
                         patch-lib-scripts-timestart.bash 
                         patch-lib-scripts-timestop.bash 
  Removed files:
    math/isabelle/files  patch-lib-scripts-showtime polyml-5.0.ML 
                         proofgeneral-settings.el run-polyml-5.0 
  Log:
  - Update to 2007
  
  PR:             ports/121000
  Submitted by:   Timothy Bourke <timbob at bigpond.com> (maintainer)
  
  Revision  Changes     Path
  1.8       +9 -18      ports/math/isabelle/Makefile
  1.4       +9 -9       ports/math/isabelle/distinfo
  1.2       +4 -4       ports/math/isabelle/files/patch-bin-isabelle_process
  1.2       +3 -12      ports/math/isabelle/files/patch-build
  1.4       +97 -24     ports/math/isabelle/files/patch-etc-settings
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-Tools-browser
  1.1       +17 -0      ports/math/isabelle/files/patch-lib-Tools-codegen (new)
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-Tools-display
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-Tools-findlogics
  1.1       +17 -0      ports/math/isabelle/files/patch-lib-Tools-keywords (new)
  1.2       +5 -7       ports/math/isabelle/files/patch-lib-Tools-makeall
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-Tools-mkdir
  1.1       +17 -0      ports/math/isabelle/files/patch-lib-Tools-mkproject (new)
  1.2       +6 -15      ports/math/isabelle/files/patch-lib-Tools-usedir
  1.2       +2 -2       ports/math/isabelle/files/patch-lib-Tools-version
  1.1       +15 -0      ports/math/isabelle/files/patch-lib-scripts-configure (new)
  1.1       +8 -0       ports/math/isabelle/files/patch-lib-scripts-fileindent (new)
  1.2       +5 -14      ports/math/isabelle/files/patch-lib-scripts-getsettings
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-scripts-polyml_platform
  1.2       +3 -3       ports/math/isabelle/files/patch-lib-scripts-polyml_version
  1.2       +24 -36     ports/math/isabelle/files/patch-lib-scripts-run_polyml
  1.1       +50 -0      ports/math/isabelle/files/patch-lib-scripts-run_polyml_5.0 (new)
  1.1       +50 -0      ports/math/isabelle/files/patch-lib-scripts-run_polyml_5.1 (new)
  1.1       +59 -0      ports/math/isabelle/files/patch-lib-scripts-run_poplogml (new)
  1.2       +7 -2       ports/math/isabelle/files/patch-lib-scripts-run_smlnj
  1.2       +0 -26      ports/math/isabelle/files/patch-lib-scripts-showtime (dead)
  1.1       +16 -0      ports/math/isabelle/files/patch-lib-scripts-timestart.bash (new)
  1.1       +44 -0      ports/math/isabelle/files/patch-lib-scripts-timestop.bash (new)
  1.2       +3 -12      ports/math/isabelle/files/patch-src-Pure-mk
  1.2       +0 -33      ports/math/isabelle/files/polyml-5.0.ML (dead)
  1.2       +0 -17      ports/math/isabelle/files/proofgeneral-settings.el (dead)
  1.3       +0 -100     ports/math/isabelle/files/run-polyml-5.0 (dead)
  1.6       +1160 -757  ports/math/isabelle/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rong-En Fan freebsd_committer 2008-04-04 13:16:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!